// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: admin/model/client-row.proto

package model

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ClientRow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Email          string `protobuf:"bytes,2,opt,name=email,proto3" json:"email,omitempty"`
	OrgCode        string `protobuf:"bytes,3,opt,name=orgCode,proto3" json:"orgCode,omitempty"`
	FirstName      string `protobuf:"bytes,4,opt,name=firstName,proto3" json:"firstName,omitempty"`
	LastName       string `protobuf:"bytes,5,opt,name=lastName,proto3" json:"lastName,omitempty"`
	PatronymicName string `protobuf:"bytes,6,opt,name=patronymicName,proto3" json:"patronymicName,omitempty"`
	State          string `protobuf:"bytes,7,opt,name=state,proto3" json:"state,omitempty"`
	Stats          string `protobuf:"bytes,8,opt,name=stats,proto3" json:"stats,omitempty"`
	CountInMsg     int64  `protobuf:"varint,10,opt,name=countInMsg,proto3" json:"countInMsg,omitempty"`
	SizeInMsg      int64  `protobuf:"varint,11,opt,name=sizeInMsg,proto3" json:"sizeInMsg,omitempty"`
	CountOutMsg    int64  `protobuf:"varint,12,opt,name=countOutMsg,proto3" json:"countOutMsg,omitempty"`
	SizeOutMsg     int64  `protobuf:"varint,13,opt,name=sizeOutMsg,proto3" json:"sizeOutMsg,omitempty"`
}

func (x *ClientRow) Reset() {
	*x = ClientRow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_model_client_row_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClientRow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClientRow) ProtoMessage() {}

func (x *ClientRow) ProtoReflect() protoreflect.Message {
	mi := &file_admin_model_client_row_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClientRow.ProtoReflect.Descriptor instead.
func (*ClientRow) Descriptor() ([]byte, []int) {
	return file_admin_model_client_row_proto_rawDescGZIP(), []int{0}
}

func (x *ClientRow) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *ClientRow) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *ClientRow) GetOrgCode() string {
	if x != nil {
		return x.OrgCode
	}
	return ""
}

func (x *ClientRow) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *ClientRow) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *ClientRow) GetPatronymicName() string {
	if x != nil {
		return x.PatronymicName
	}
	return ""
}

func (x *ClientRow) GetState() string {
	if x != nil {
		return x.State
	}
	return ""
}

func (x *ClientRow) GetStats() string {
	if x != nil {
		return x.Stats
	}
	return ""
}

func (x *ClientRow) GetCountInMsg() int64 {
	if x != nil {
		return x.CountInMsg
	}
	return 0
}

func (x *ClientRow) GetSizeInMsg() int64 {
	if x != nil {
		return x.SizeInMsg
	}
	return 0
}

func (x *ClientRow) GetCountOutMsg() int64 {
	if x != nil {
		return x.CountOutMsg
	}
	return 0
}

func (x *ClientRow) GetSizeOutMsg() int64 {
	if x != nil {
		return x.SizeOutMsg
	}
	return 0
}

var File_admin_model_client_row_proto protoreflect.FileDescriptor

var file_admin_model_client_row_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x2d, 0x72, 0x6f, 0x77, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x22, 0xd9, 0x02, 0x0a, 0x09, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x52, 0x6f, 0x77, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x18, 0x0a, 0x07, 0x6f, 0x72, 0x67,
	0x43, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f, 0x72, 0x67, 0x43,
	0x6f, 0x64, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a,
	0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69,
	0x63, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x73,
	0x74, 0x61, 0x74, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74,
	0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x6e, 0x4d, 0x73, 0x67, 0x18,
	0x0a, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x6e, 0x4d, 0x73,
	0x67, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x69, 0x7a, 0x65, 0x49, 0x6e, 0x4d, 0x73, 0x67, 0x18, 0x0b,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x73, 0x69, 0x7a, 0x65, 0x49, 0x6e, 0x4d, 0x73, 0x67, 0x12,
	0x20, 0x0a, 0x0b, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x4f, 0x75, 0x74, 0x4d, 0x73, 0x67, 0x18, 0x0c,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x4f, 0x75, 0x74, 0x4d, 0x73,
	0x67, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x69, 0x7a, 0x65, 0x4f, 0x75, 0x74, 0x4d, 0x73, 0x67, 0x18,
	0x0d, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x73, 0x69, 0x7a, 0x65, 0x4f, 0x75, 0x74, 0x4d, 0x73,
	0x67, 0x42, 0x72, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x09, 0x43, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x52, 0x6f, 0x77, 0x50, 0x01, 0x5a, 0x37, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x65,
	0x6d, 0x61, 0x69, 0x6c, 0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2,
	0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x05, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xca, 0x02, 0x05,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_model_client_row_proto_rawDescOnce sync.Once
	file_admin_model_client_row_proto_rawDescData = file_admin_model_client_row_proto_rawDesc
)

func file_admin_model_client_row_proto_rawDescGZIP() []byte {
	file_admin_model_client_row_proto_rawDescOnce.Do(func() {
		file_admin_model_client_row_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_model_client_row_proto_rawDescData)
	})
	return file_admin_model_client_row_proto_rawDescData
}

var file_admin_model_client_row_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_admin_model_client_row_proto_goTypes = []interface{}{
	(*ClientRow)(nil), // 0: admin.ClientRow
}
var file_admin_model_client_row_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_admin_model_client_row_proto_init() }
func file_admin_model_client_row_proto_init() {
	if File_admin_model_client_row_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_model_client_row_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClientRow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_model_client_row_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_admin_model_client_row_proto_goTypes,
		DependencyIndexes: file_admin_model_client_row_proto_depIdxs,
		MessageInfos:      file_admin_model_client_row_proto_msgTypes,
	}.Build()
	File_admin_model_client_row_proto = out.File
	file_admin_model_client_row_proto_rawDesc = nil
	file_admin_model_client_row_proto_goTypes = nil
	file_admin_model_client_row_proto_depIdxs = nil
}
